onClipEvent(load){
   function initIt()
   {
      var _loc1_ = this;
      _clipFrame = "entry";
      _loc1_.gotoAndStop(_clipFrame);
      _loc1_._visible = false;
      _x1C = 0;
      _y1C = 0;
      _loc1_.fd_clk_continue = _level0.mcXml.getTheTextField("game","term_replay_click");
   }
   function showIt()
   {
      this._visible = true;
   }
   function hideIt()
   {
      this._visible = false;
   }
   function showBaseMessage()
   {
      _parent.mcBaseMessage._visible = true;
   }
   function hideBaseMessage()
   {
      _parent.mcBaseMessage._visible = false;
   }
   function saveReplayInMemory(half, goalTime)
   {
      var _loc1_ = undefined;
      _loc1_ = computeDatas(half,goalTime);
      _parent.mcReplayStock.stockAReplay(_recordCurDepth,_loc1_,goalTime,_parent.mcLooper._partieDones);
   }
   function sendReplayToBase()
   {
      var _loc1_ = undefined;
      _loc1_ = computeDatas(half,goalTime);
      _level0.mcComReplay.sendReplay(_recordCurDepth,_loc1_);
   }
   function computeDatas(half, goalTime)
   {
      var _loc2_ = undefined;
      var x;
      var y;
      var z;
      var frame;
      var _loc1_ = undefined;
      var repFrame;
      var ballStr;
      var _loc3_ = undefined;
      var recordDatas;
      recordDatas = _level0.mcGameInterface.field + ";" + _level0.mcGameInterface.couleur1 + ";" + _level0.mcGameInterface.couleur2 + ";";
      repFrame = 0;
      do
      {
         _loc1_ = int(repFrame) + (_recordPtr - _recordDepth);
         if(_loc1_ < 0)
         {
            _loc1_ += _recordDepth;
         }
         else if(_loc1_ >= _recordDepth)
         {
            _loc1_ -= _recordDepth;
         }
         _loc3_ = "";
         _loc2_ = 0;
         while(_loc2_ < 10)
         {
            x = (_recordPlayerList[(_loc1_ * 10 + _loc2_) * 3 + 0] - _x1C) * 0.5;
            y = (_recordPlayerList[(_loc1_ * 10 + _loc2_) * 3 + 1] - _y1C) * 0.5;
            frame = _recordPlayerList[(_loc1_ * 10 + _loc2_) * 3 + 2];
            leTotal = frame << 16 | int(x) << 8 | int(y);
            _loc3_ += convHexa(leTotal);
            _loc2_ = _loc2_ + 1;
         }
         recordDatas += _loc3_;
         x = _recordBallList[_loc1_ * 3 + 0] - _x1C;
         y = _recordBallList[_loc1_ * 3 + 1] - _y1C;
         z = _recordBallList[_loc1_ * 3 + 2];
         leTotal = z << 18 | x << 9 | y;
         ballStr = convHexa(leTotal);
         recordDatas += ballStr;
         repFrame++;
      }
      while(repFrame < _recordCurDepth);
      
      recordDatas = recordDatas + ";" + half + ";" + goalTime + ";" + _level0.mcGameInterface.nomequipe1 + ";" + _level0.mcGameInterface.nomequipe2;
      return recordDatas;
   }
   function convHexa(val)
   {
      var _loc2_ = undefined;
      var _loc1_ = undefined;
      var _loc3_ = undefined;
      _loc3_ = "";
      dec = 20;
      _loc2_ = 0;
      while(_loc2_ < 6)
      {
         _loc1_ = int(val >> dec & 0x0F);
         _loc1_ = _hexaVals[_loc1_];
         _loc3_ += _loc1_;
         dec -= 4;
         _loc2_ = _loc2_ + 1;
      }
      return _loc3_;
   }
   function initRecord()
   {
      _recordPtr = 0;
      _recordCurDepth = 0;
      _recordDepth = 50;
      _recordTimeList = new Array();
      _recordBallList = new Array();
      _recordPlayerList = new Array();
   }
   function synchroRecord()
   {
      _recordCurDepth = 0;
   }
   function recordGame(players, leBallon)
   {
      var _loc2_ = players;
      var _loc3_ = leBallon;
      var _loc1_ = undefined;
      _recordTimeList[_recordPtr] = getTimer();
      _loc1_ = 0;
      while(_loc1_ < 10)
      {
         _recordPlayerList[(_recordPtr * 10 + _loc1_) * 3 + 0] = _loc2_[_loc1_].x;
         _recordPlayerList[(_recordPtr * 10 + _loc1_) * 3 + 1] = _loc2_[_loc1_].y;
         _recordPlayerList[(_recordPtr * 10 + _loc1_) * 3 + 2] = _loc2_[_loc1_].oldFrame;
         _loc1_ = _loc1_ + 1;
      }
      _recordBallList[_recordPtr * 3 + 0] = _loc3_.x;
      _recordBallList[_recordPtr * 3 + 1] = _loc3_.y;
      _recordBallList[_recordPtr * 3 + 2] = _loc3_.z;
      _recordPtr++;
      if(_recordPtr >= _recordDepth)
      {
         _recordPtr = 0;
      }
      else if(_recordCurDepth < _recordPtr)
      {
         _recordCurDepth = _recordPtr;
      }
   }
   function trigerPlay()
   {
      var _loc1_ = _parent;
      showIt();
      _repFrame = 0;
      _loc1_.mcSfx.stopSon("bonus");
      _loc1_.mcSfx.sleepSons();
      _loc1_.mcField.replayModeStart();
   }
   function trigerEndReplay()
   {
      hideIt();
      _parent.mcField.replayModeEnd();
      _parent.mcSfx.wakeSons();
   }
   function manageReplay(players, leBallon, nbMs)
   {
      var i;
      var x;
      var y;
      var z;
      var x1;
      var x2;
      var y1;
      var y2;
      var z1;
      var z2;
      var scale;
      var frame;
      var repFrame;
      _repFrame += 0.0075 * nbMs;
      if(_repFrame >= _recordCurDepth)
      {
         return true;
      }
      repFrame = Math.floor(_repFrame);
      Q = _repFrame - repFrame;
      nextF = repFrame + 1;
      if(nextF >= _recordCurDepth)
      {
         nextF = _recordCurDepth - 1;
      }
      nextF += _recordPtr - _recordDepth;
      if(nextF < 0)
      {
         nextF += _recordDepth;
      }
      else if(nextF >= _recordDepth)
      {
         nextF -= _recordDepth;
      }
      repFrame += _recordPtr - _recordDepth;
      if(repFrame < 0)
      {
         repFrame += _recordDepth;
      }
      else if(repFrame >= _recordDepth)
      {
         repFrame -= _recordDepth;
      }
      i = 0;
      while(i < 10)
      {
         y1 = _recordPlayerList[(repFrame * 10 + i) * 3 + 1];
         y2 = _recordPlayerList[(nextF * 10 + i) * 3 + 1];
         y = y1 + (y2 - y1) * Q;
         x1 = _recordPlayerList[(repFrame * 10 + i) * 3 + 0];
         x2 = _recordPlayerList[(nextF * 10 + i) * 3 + 0];
         x = x1 + (x2 - x1) * Q;
         frame = _recordPlayerList[(repFrame * 10 + i) * 3 + 2];
         players[i].y = y;
         eval(players[i].clipName)._x = x;
         eval(players[i].clipName)._y = y;
         eval(players[i].clipName).gotoAndStop(1);
         eval(players[i].clipName).joueur.mcMaillot.gotoAndStop(frame);
         eval(players[i].clipName).joueur.gotoAndStop(frame);
         eval(players[i].clipName).mcBoost._visible = false;
         eval(players[i].clipName).trainee._visible = false;
         eval(players[i].btName)._visible = false;
         i++;
      }
      z1 = _recordBallList[repFrame * 3 + 2];
      z2 = _recordBallList[nextF * 3 + 2];
      z = z1 + (z2 - z1) * Q;
      scale = 100 + z * 3;
      leBallon.z = z;
      x1 = _recordBallList[repFrame * 3 + 0];
      x2 = _recordBallList[nextF * 3 + 0];
      x = x1 + (x2 - x1) * Q;
      y1 = _recordBallList[repFrame * 3 + 1];
      y2 = _recordBallList[nextF * 3 + 1];
      y = y1 + (y2 - y1) * Q;
      _parent.playersNode.ballon._x = x;
      _parent.playersNode.ballon._y = y;
      _parent.playersNode.ballon.ball._xscale = scale;
      _parent.playersNode.ballon.ball._yscale = scale;
      _parent.playersNode.ballon.ombre._x = 2 + z * 0.8;
      _parent.playersNode.ballon.ombre._y = 2 + z * 0.8;
      return false;
   }
   function replayLoadSkin(leNom)
   {
      trace("mcReplayLoadSkin(" + leNom + ")");
      this.gotoAndStop("load");
      this.mcTgt.loadMovie(leNom);
   }
   function isSkinLoaded()
   {
      var _loc2_ = undefined;
      var _loc1_ = undefined;
      _loc2_ = this.mcTgt.getBytesTotal();
      _loc1_ = this.mcTgt.getBytesLoaded();
      if(_loc2_ > 0 and _loc1_ > 0)
      {
         if(_loc1_ >= _loc2_)
         {
            _clipFrame = "load";
            return true;
         }
      }
      return false;
   }
   function getSkinLoadStats()
   {
      var _loc2_ = undefined;
      var _loc1_ = undefined;
      _loc2_ = this.mcTgt.getBytesTotal();
      _loc1_ = this.mcTgt.getBytesLoaded();
      if(_loc2_ > 0 and _loc1_ > 0)
      {
         return int(_loc1_ * 100 / _loc2_);
      }
      return 0;
   }
   var _x1C;
   var _y1C;
   var _recordPtr;
   var _recordCurDepth;
   var _recordDepth;
   var _recordTimeList;
   var _recordBallList;
   var _recordPlayerList;
   var _repFrame;
   var _hexaVals;
   var _clipFrame;
   _hexaVals = ["0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F"];
   initIt();
}
