onClipEvent(load){
   function manageRay()
   {
      var _loc2_ = this;
      var i;
      var _loc3_ = undefined;
      var _loc1_ = undefined;
      dx = _parent._xmouse - _x1;
      dy = _parent._ymouse - _y1;
      dist = Math.sqrt(dx * dx + dy * dy);
      if(dist > 0.0001)
      {
         dx /= dist;
         dy /= dist;
      }
      _ballTimer += _parent.mcGame._nbMs * 0.2;
      if(_ballTimer > dist)
      {
         _ballTimer = 0;
      }
      Q = (dist - _ballTimer) / dist;
      leZ = Math.sin(Q * 3.141592653589793) * dist * 0.5;
      _loc1_ = 50 + int((100 - leZ) * 0.5);
      if(_loc1_ < 0)
      {
         _loc1_ = 0;
      }
      else if(_loc1_ > 100)
      {
         _loc1_ = 100;
      }
      _loc3_ = (1000 + leZ * 15) / 10;
      _loc2_._x = _x1 + dx * _ballTimer;
      _loc2_._y = _y1 + dy * _ballTimer;
      _loc2_._xscale = _loc3_;
      _loc2_._yscale = _loc3_;
      _loc2_._alpha = _loc1_;
   }
   function hideRay()
   {
      _flag = false;
      this._visible = false;
   }
   function showRay(playerId)
   {
      var _loc1_ = undefined;
      var _loc3_ = undefined;
      var _loc2_ = undefined;
      var best;
      var dist;
      var bestDist;
      _x1 = _parent.mcGame._players[playerId].x;
      _y1 = _parent.mcGame._players[playerId].y;
      best = -1;
      _loc1_ = 1;
      while(_loc1_ < 5)
      {
         if(_loc1_ != playerId)
         {
            _loc3_ = _x1 - _parent.mcGame._players[_loc1_].x;
            _loc2_ = _y1 - _parent.mcGame._players[_loc1_].y;
            dist = _loc3_ * _loc3_ + _loc2_ * _loc2_;
            if(best < 0 or dist < bestDist)
            {
               best = _loc1_;
               bestDist = dist;
            }
         }
         _loc1_ = _loc1_ + 1;
      }
      _flag = true;
      this._visible = true;
      setRayTarget(_parent.mcGame._players[best].x,_parent.mcGame._players[best].y);
   }
   function setRayTarget(x2, y2)
   {
      var i;
      if(_flag != true)
      {
         return undefined;
      }
      _ballTimer = 0;
      _x2 = x2;
      _y2 = y2;
   }
   var _x1;
   var _y1;
   var _x2;
   var _y2;
   var _flag;
   var _ballTimer;
   _x1 = 0;
   _y1 = 0;
   hideRay();
}
